## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanArrayKeyMap Template Class Reference

`#include <XalanArrayKeyMap.hpp>`

List of all members.

## Public Types

- typedef std::vector<KeyType> VectorType
- typedef std::map<const KeyType*,
  ValueType, CompareType> MapType
- typedef std::deque<VectorType> VectorHolderType
- typedef MapType::key_type key_type
- typedef MapType::value_type value_type
- typedef ValueType referent_type
- typedef CompareType key_compare
- typedef MapType::allocator_type allocator_type
- typedef MapType::size_type size_type
- typedef MapType::difference_type difference_type
- typedef MapType::reference reference
- typedef MapType::const_reference const_reference
- typedef MapType::iterator iterator
- typedef MapType::const_iterator const_iterator
- typedef MapType::reverse_iterator reverse_iterator
- typedef MapType::const_reverse_iterator const_reverse_iterator
- typedef std::pair<iterator,
  bool> insert_pair_type
- typedef std::pair<iterator,
  iterator> range_pair_type
- typedef std::pair<const_iterator,
  const_iterator> const_range_pair_type

## Public Methods

- XalanArrayKeyMap ()
- XalanArrayKeyMap (const XalanArrayKeyMap<KeyType, ValueType, CompareType>& theOther)
- ~XalanArrayKeyMap ()
- XalanArrayKeyMap<KeyType,
  ValueType, CompareType>& operator= (const XalanArrayKeyMap<KeyType, ValueType, CompareType>& theRHS)
- bool operator== (const XalanArrayKeyMap<KeyType, ValueType, CompareType>& theRHS) const
- size_type size () const
- size_type max_size () const
- bool empty () const
- iterator begin ()
- const_iterator begin () const
- iterator end ()
- const_iterator end () const
- reverse_iterator rbegin ()
- const_reverse_iterator rbegin () const
- reverse_iterator rend ()
- const_reverse_iterator rend () const
- insert_pair_type insert (const value_type& thePair)
- referent_type& operator[] (const key_type& theKey)
- iterator find (const key_type& theKey)
- const_iterator find (const key_type& theKey) const
- iterator lower_bound (const key_type& theKey)
- const_iterator lower_bound (const key_type& theKey) const
- iterator upper_bound (const key_type& theKey)
- const_iterator upper_bound (const key_type& theKey) const
- range_pair_type equal_range (const key_type& theKey)
- const_range_pair_type equal_range (const key_type& theKey) const
- iterator erase (iterator theIterator)
- iterator erase ( iterator theFirst, iterator theLast)
- size_type erase (const key_type& theKey)
- void swap (XalanArrayKeyMap<KeyType, ValueType, CompareType>& theOther)

## Member Typedef Documentation

template<classKeyType, classValueType, classCompareType>
typedef std::map<const KeyType*, ValueType, CompareType> XalanArrayKeyMap<KeyType, ValueType, CompareType>::MapType

template<classKeyType, classValueType, classCompareType>
typedef std::deque<VectorType> XalanArrayKeyMap<KeyType, ValueType, CompareType>::VectorHolderType

template<classKeyType, classValueType, classCompareType>
typedef std::vector<KeyType> XalanArrayKeyMap<KeyType, ValueType, CompareType>::VectorType

template<classKeyType, classValueType, classCompareType>
typedef MapType::allocator_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::allocator_type

template<classKeyType, classValueType, classCompareType>
typedef MapType::const_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::const_iterator

template<classKeyType, classValueType, classCompareType>
typedef std::pair<const_iterator, const_iterator> XalanArrayKeyMap<KeyType, ValueType, CompareType>::const_range_pair_type

template<classKeyType, classValueType, classCompareType>
typedef MapType::const_reference XalanArrayKeyMap<KeyType, ValueType, CompareType>::const_reference

template<classKeyType, classValueType, classCompareType>
typedef MapType::const_reverse_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::const_reverse_iterator

template<classKeyType, classValueType, classCompareType>
typedef MapType::difference_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::difference_type

template<classKeyType, classValueType, classCompareType>
typedef std::pair<iterator, bool> XalanArrayKeyMap<KeyType, ValueType, CompareType>::insert_pair_type

template<classKeyType, classValueType, classCompareType>
typedef MapType::iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::iterator

template<classKeyType, classValueType, classCompareType>
typedef CompareType XalanArrayKeyMap<KeyType, ValueType, CompareType>::key_compare

template<classKeyType, classValueType, classCompareType>
typedef MapType::key_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::key_type

template<classKeyType, classValueType, classCompareType>
typedef std::pair<iterator, iterator> XalanArrayKeyMap<KeyType, ValueType, CompareType>::range_pair_type

template<classKeyType, classValueType, classCompareType>
typedef MapType::reference XalanArrayKeyMap<KeyType, ValueType, CompareType>::reference

template<classKeyType, classValueType, classCompareType>
typedef ValueType XalanArrayKeyMap<KeyType, ValueType, CompareType>::referent_type

template<classKeyType, classValueType, classCompareType>
typedef MapType::reverse_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::reverse_iterator

template<classKeyType, classValueType, classCompareType>
typedef MapType::size_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::size_type

template<classKeyType, classValueType, classCompareType>
typedef MapType::value_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::value_type

## Constructor & Destructor Documentation

template<classKeyType, classValueType, classCompareType>
XalanArrayKeyMap<KeyType, ValueType, CompareType>::XalanArrayKeyMap<KeyType, ValueType, CompareType> ( | )`[explicit]`

template<classKeyType, classValueType, classCompareType>
XalanArrayKeyMap<KeyType, ValueType, CompareType>::XalanArrayKeyMap<KeyType, ValueType, CompareType> ( | const XalanArrayKeyMap< KeyType,ValueType,CompareType >& theOther )`[]`

template<classKeyType, classValueType, classCompareType>
XalanArrayKeyMap<KeyType, ValueType, CompareType>::~XalanArrayKeyMap<KeyType, ValueType, CompareType> ( | )`[]`

## Member Function Documentation

template<classKeyType, classValueType, classCompareType>
const_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::begin ( | ) const`[]`

template<classKeyType, classValueType, classCompareType>
iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::begin ( | )`[]`

template<classKeyType, classValueType, classCompareType>
bool XalanArrayKeyMap<KeyType, ValueType, CompareType>::empty ( | ) const`[]`

template<classKeyType, classValueType, classCompareType>
const_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::end ( | ) const`[]`

template<classKeyType, classValueType, classCompareType>
iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::end ( | )`[]`

template<classKeyType, classValueType, classCompareType>
const_range_pair_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::equal_range ( | const key_type & theKey ) const`[]`

template<classKeyType, classValueType, classCompareType>
range_pair_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::equal_range ( | const key_type & theKey )`[]`

template<classKeyType, classValueType, classCompareType>
size_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::erase ( | const key_type & theKey )`[]`

template<classKeyType, classValueType, classCompareType>
iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::erase ( | iterator theFirst,
| iterator theLast )`[]`

template<classKeyType, classValueType, classCompareType>
iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::erase ( | iterator theIterator )`[]`

template<classKeyType, classValueType, classCompareType>
const_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::find ( | const key_type & theKey ) const`[]`

template<classKeyType, classValueType, classCompareType>
iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::find ( | const key_type & theKey )`[]`

template<classKeyType, classValueType, classCompareType>
insert_pair_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::insert ( | const value_type & thePair )`[]`

template<classKeyType, classValueType, classCompareType>
const_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::lower_bound ( | const key_type & theKey ) const`[]`

template<classKeyType, classValueType, classCompareType>
iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::lower_bound ( | const key_type & theKey )`[]`

template<classKeyType, classValueType, classCompareType>
size_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::max_size ( | ) const`[]`

template<classKeyType, classValueType, classCompareType>
XalanArrayKeyMap< KeyType,ValueType,CompareType >& XalanArrayKeyMap<KeyType, ValueType, CompareType>::operator=<KeyType, ValueType, CompareType> ( | const XalanArrayKeyMap< KeyType,ValueType,CompareType >& theRHS )`[]`

template<classKeyType, classValueType, classCompareType>
bool XalanArrayKeyMap<KeyType, ValueType, CompareType>::operator== ( | const XalanArrayKeyMap< KeyType,ValueType,CompareType >& theRHS ) const`[]`

template<classKeyType, classValueType, classCompareType>
referent_type & XalanArrayKeyMap<KeyType, ValueType, CompareType>::operator[] ( | const key_type & theKey )`[]`

template<classKeyType, classValueType, classCompareType>
const_reverse_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::rbegin ( | ) const`[]`

template<classKeyType, classValueType, classCompareType>
reverse_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::rbegin ( | )`[]`

template<classKeyType, classValueType, classCompareType>
const_reverse_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::rend ( | ) const`[]`

template<classKeyType, classValueType, classCompareType>
reverse_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::rend ( | )`[]`

template<classKeyType, classValueType, classCompareType>
size_type XalanArrayKeyMap<KeyType, ValueType, CompareType>::size ( | ) const`[]`

template<classKeyType, classValueType, classCompareType>
void XalanArrayKeyMap<KeyType, ValueType, CompareType>::swap ( | XalanArrayKeyMap< KeyType,ValueType,CompareType >& theOther )`[]`

template<classKeyType, classValueType, classCompareType>
const_iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::upper_bound ( | const key_type & theKey ) const`[]`

template<classKeyType, classValueType, classCompareType>
iterator XalanArrayKeyMap<KeyType, ValueType, CompareType>::upper_bound ( | const key_type & theKey )`[]`

The documentation for this class was generated from the following file:

- XalanArrayKeyMap.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.